Our User Management API provides convenient endpoints to facilitate user management tasks such as retrieving user details, creating or updating users, and deleting users effortlessly.

This guide will explain how to interact with these API endpoints.

More detailed info and playground in the /user endpoint documentation.

Retrieve users

The GET endpoint allows you to retrieve a list of all users with access to your scope.

GET /v1/user

Enable or Disable users

The PUT endpoint allows you to either create a new user or update the details of an existing one. It gives you the flexibility to manage user information and keep it current.

The available actions are: disable, enable. This action will update the blocked field of the user.

Delete Users

Lastly, our DELETE endpoint provides an effortless way to remove user records from your system, which is crucial when managing users who no longer need access.

By deleting a user, you permanently revoke their access to the platform and delete all user data associated with that account.